extends Path2D

export var behaviour_start_time = 0.0
export var behaviour_speed = 1.0
export var path = PoolVector2Array([Vector2(0, 0), Vector2(0, 0)])

func _ready():
#	$Anim.seek(behaviour_start_time * $Anim.current_animation_length)
	curve = Curve2D.new()
	$Anim.seek(behaviour_start_time)
	$Anim.playback_speed = behaviour_speed
	for i in path:
		curve.add_point(i)

func hit():
	$Anim.playback_speed = 0
	$Follow/Sprite.speed_scale = 0
	$Follow/Enemy/Shape.set_deferred("disabled", true)
	$Stun.start()

func _process(delta):
	if $Stun.time_left != 0:
		$Follow/Sprite.modulate.a = 0.5 if fmod($Stun.time_left, 0.1) < 0.05 else 1.0

func _on_Stun_timeout():
	$Follow/Sprite.modulate.a = 1
	$Anim.playback_speed = behaviour_speed
	$Follow/Sprite.speed_scale = 1
	$Follow/Enemy/Shape.disabled = false
