extends Node

var scenes = {
	"ptcl_poof" : load("res://Scenes/VFX/PtclPoof.tscn"),
	"ptcl_directional" : load("res://Scenes/VFX/PtclDirectional.tscn"),
	"ptcl_jump" : load("res://Scenes/VFX/PtclJump.tscn"),
	"ptcl_hard" : load("res://Scenes/VFX/PtclHard.tscn"),
	"ptcl_hurt" : load("res://Scenes/VFX/PtclHurt.tscn")
	}

func spawn(scene, global_pos, rotation = 0):
	var node = scenes[scene].instance()
	$"/root/Main".add_child(node)
	node.global_position = global_pos
	node.rotation = rotation
	return node

