extends Hero

func state_changed():
	if $Sprite/LedgeDetectV.is_colliding():
		.land()
		$Anim.play("LedgeGrab")
		if input_movedir:
			$Sprite.scale.x = input_movedir
		speed.y = 0
		speed.x = 0
		$Sprite/LedgeDetectV.enabled = true
		position = $Sprite/LedgeDetectV.get_collision_point() + Vector2(-20 * direction, 32)
		move_and_slide(Vector2(0, 0))
		$Particles/PtclSockSticky.emitting = false
		$SoundLand.stop()
		$SoundLand.pitch_scale = 0.5
		$SoundLand.play()
		$SoundLand.pitch_scale = 1
		Input.start_joy_vibration(0, 1.0, 0, 0.03 + 0.15 * speed.y / MAXFALL)
	else:
		change_state("move")

func move_body(delta):
	pass

func input_move(move_direction):
	input_movedir = move_direction
	if direction == -move_direction || move_direction == 0 && $Anim.current_animation_position > 0.9:
		coyote_time = OS.get_ticks_msec()
		speed.x = move_direction * maxspeed * 0.5
		change_state("move")
		input_move(move_direction)

func input_jump():
	last_frame_on_floor = false
	speed.y = JUMPDEFAULT
	gravity = GRAVITYJUMP
	change_state("move")
	$Anim.play("Jump")
	$SoundJump.play()
