extends Reference
class_name StateManager

var STATE_SCRIPTS = {
	"move" : load("res://Scripts/Hero/HeroMove.gd"),
	"immobile" : load("res://Scripts/Hero/HeroImmobile.gd"),
	"ledgegrab" : load("res://Scripts/Hero/HeroLedgegrab.gd"),
	"hurt" : load("res://Scripts/Hero/HeroHurt.gd"),
	"noclip" : load("res://Scripts/Hero/HeroNoclip.gd"),
	}

const KEEP_PROPERTIES = [
	"speed","direction",
	"maxspeed","gravity","accel","brake","jump",
	"input_jump_start","input_movedir",
	"input_last_jump","coyote_time",
	"interact_node"
	]

var hero

func _init(hero_node):
	hero = hero_node

func change_state(state:String):
	var kept_properties: = {}
	for i in KEEP_PROPERTIES:
		kept_properties[i] = hero.get(i)
	hero.set_script(STATE_SCRIPTS[state])
	for i in kept_properties.keys():
		hero.set(i,kept_properties[i])
	hero.state_name = state
	hero.state_changed()
	
