extends Hero

var invincible_time = 0.5

func state_changed():
	Input.start_joy_vibration(0,0,1.0,0.15)
	$TimerInvuln.start()
	$Anim.play("Ow")

func move_body(delta):
	invincible_time -= delta
	speed.y += delta * GRAVITYFALL
	speed = move_and_slide(speed, Vector2(0, -1))
	$Sprite.modulate.a = 0.5 if fmod(invincible_time, 0.1) < 0.05 else 1.0
	if invincible_time <= 0:
		speed.x = 0
		speed.y = min(speed.y, 0)
		$Sprite.modulate.a = 1.0
		change_state("move")

func hit(body):
	#Do nothing. Can't touch this!
	pass
