extends Area2D
class_name TeleportDoor

export var to = ""
var active = false

func _ready():
	pass # Replace with function body.

func _process(delta):
	if active:
		$Button.position.y = sin(OS.get_ticks_msec() * 0.005) * 8 - 64

func interact(node):
	for i in get_parent().get_children():
		if i.name == to:
			node.position = i.global_position
			Saves.hero_checkpoint = i.global_position
			Saves.hero_checkpoint_door = to
			break
	node.state_manager.change_state("move")

func _on_Door_body_entered(node):
	if visible:
		$Button.visible = true
		node.interact_node = self
		active = true

func _on_Door_body_exited(node):
	$Button.visible = false
	if node.interact_node == self:
		node.interact_node = null
	active = false
